package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpDokumenRequest extends BaseRequest {

    private Long drpId;
    private Long jenisDokumenId;
    private String filename;
    private String keterangan;
    private MultipartFile file;
    private Boolean isDelete;
}
