package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

import java.sql.Timestamp;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpRequest extends BaseRequest {
    private Long id;
    private Integer tahun;
    private String approveStatus;
    private Timestamp approveDate;
    private Boolean isActive;

    private List<DrpDokumenRequest> dataDrpDokumen;

    private List<DrpPengadaanDokumenRequest> dataDrpPengadaanDokumen;

    private String search;
    private transient Pageable pageable;
}
