package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.sql.Date;
import java.sql.Timestamp;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpPengadaanResponse extends BaseResponse {

    private Long id;
    private Long drpId;
    private String nomor;
    private String namaPengadaan;
    private BigDecimal pagu;

    private Long lokasiId;
    private String lokasi;

    private Long jenisPengadaanId;
    private String jenisPengadaan;

    private Long unitInisiatorId;
    private String unitInisiator;

    private Long sumberDanaId;
    private String sumberDana;

    private Long supplyPositioningMatrixId;
    private String supplyPositioningMatrix;

    private Long metodePengadaanId;
    private String metodePengadaan;

    private Long metodePenyampaianId;
    private String metodePenyampaian;

    private Long jenisKontrakId;
    private String jenisKontrak;

    private Long strategiPengadaanId;
    private String strategiPengadaan;

    private Date rencanaTanggal;
    private Date targetTanggal;
    private BigDecimal hpe;
    private Boolean isActive;
    private Boolean isDelete;
}
