package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MenusPermissionResponse extends BaseResponse {

    private Long id;
    private String nama;
    private Long parentId;
    private Long urutan;
    private String icon;
    private String link;
    private Boolean canView;
    private Boolean canRead;
    private Boolean canCreate;
    private Boolean canDelete;
    private Boolean canUpdate;

}
