package com.iconplus.smartproc.helper.context;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.annotation.RequestScope;

import java.io.IOException;

@Configuration
public class AutoConfiguration {

    @RequestScope
    @Bean
    @ConditionalOnMissingBean(ApiContext.class)
    public ApiContext apiContext() throws IOException {
        return ApiContextFactory.generateApiContext();
    }


}
