package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PermissionRequest extends BaseRequest {
    private Long id;
    private Long parentId;
    private Long menuId;
    private String menu;
    private Boolean canView;
    private Boolean canCreate;
    private Boolean canRead;
    private Boolean canDelete;
    private Boolean canUpdate;
}
