package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpResponse extends BaseResponse {
    private Long id;
    private Integer tahun;
    private String approveStatus;
    private Timestamp approveDate;
    private Boolean isActive;
    private Boolean isDelete;

    private List<DrpDokumenResponse> dataDrpDokumen;

    private List<DrpPengadaanDokumenResponse> dataDrpPengadaanDokumen;
}
