package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LoginResponse extends BaseResponse {

    private Long userId;
    private String accessToken;
    private Integer validity;
    private String refreshToken;
    private String username;
    private String email;
    private Long roleId;
    private String role;
    private List<MenusPermissionResponse> menus;

}
