package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UsersResponse extends BaseResponse {
    private Long id;
    private String nama;
    private String username;

    private Long jabatanId;
    private String jabatan;

    private Long instansiId;
    private String instansi;

    private Long bidangId;
    private String bidang;

    private Long roleId;
    private String role;

    private String email;
    private String telepon;
    private Boolean isActive;
    private Boolean isDelete;
}
