package com.iconplus.smartproc.util;

public class Constants {
    private Constants() {
    }

    public static final String ERR_CODE_10001 = "10001";
    public static final String ERR_TTL_10001 = "Data tidak ditemukan";
    public static final String ERR_MSG_10001 = "%s dengan id : %s tidak ditemukan";

    public static final String ERR_CODE_10002 = "10002";
    public static final String ERR_TTL_10002 = "Data tersedia";
    public static final String ERR_MSG_10002 = "%s : %s sudah tersedia";

    public static final String ERR_CODE_10003 = "10003";
    public static final String ERR_TTL_10003 = "Data tidak tersedia";
    public static final String ERR_MSG_10003 = "User dengan email : %s tidak ditemukan";

    public static final String ERR_CODE_10004 = "10004";
    public static final String ERR_TTL_10004 = "Gagal Authentikasi User";
    public static final String ERR_MSG_10004 = "Silahkan Periksa kembali Email dan Password Anda";

    public static final String ERR_CODE_10005 = "10005";
    public static final String ERR_TTL_10005 = "Data tidak tersedia";
    public static final String ERR_MSG_10005 = "Role dengan id : %s tidak ditemukan";

    public static final String ERR_CODE_10006 = "10006";
    public static final String ERR_TTL_10006 = "Data tersedia";
    public static final String ERR_MSG_10006 = "Role : %s sudah tersedia";

    public static final String ERR_CODE_10007 = "10007";
    public static final String ERR_TTL_10007 = "Proses Gagal";
    public static final String ERR_MSG_10007 = "Silahkan periksa kembali password baru yg anda input";

    public static final String ERR_CODE_10008 = "10008";
    public static final String ERR_TTL_10008 = "Proses Gagal";
    public static final String ERR_MSG_10008 = "Gagal generate token";

    public static final String ERR_CODE_10009 = "10009";
    public static final String ERR_TTL_10009 = "Proses Gagal";
    public static final String ERR_MSG_10009 = "Periksa kembali password sekrang anda";

    public static final String ERR_CODE_10010 = "10010";
    public static final String ERR_TTL_10010 = "Data tersedia";
    public static final String ERR_MSG_10010 = "Maaf, Tahun DRP yang anda pilih sudah ada sebelumnya. silahkan pilih Tahun DRP lain untuk menambah DRP baru.";

    public static final String ERR_CODE_10011 = "10011";
    public static final String ERR_TTL_10011 = "Proses Gagal";
    public static final String ERR_MSG_10011 = "Gagal decrypt password, masukkan password yg ter-encrypt";

    public static final String ERR_CODE_40041 = "40041";
    public static final String ERR_TTL_40041 = "Terjadi Gangguan";
    public static final String ERR_MSG_40041 = "Masalah Koneksi System";

    public static final String ERR_CODE_40051 = "40051";
    public static final String ERR_CODE_80007 = "80007";
    public static final String TITLE_INVALID_NEXT_STEP = "Proses tidak dapat dilanjutkan";
    public static final String REFRESH_TOKEN_EXPIRED = "Refresh token expired";
    public static final String REFRESH_TOKEN_NOT_VALID = "Refresh token tidak valid";

    public static final String ERR_CODE_40042 = "40042";
    public static final String ERR_TTL_40042 = "Terjadi gangguan";
    public static final String ERR_MSG_40042 = "Proses generate token gagal dengan response: null";

    public static final String ERR_CODE_40038 = "40038";
    public static final String ERR_TITLE_40038 = "Data Sedang Tidak Tersedia";
    public static final String ERR_MESSAGE_40038 = "Data User Tidak Ditemukan.";

    public static final String ERR_CODE_80000 = "80000";
    public static final String N0_SUCH_ALGORITHM_EXCEPTION = "NoSuchAlgorithmException : ";
    public static final String N0_SUCH_PADDING_EXCEPTION = "NoSuchPaddingException : ";
    public static final String INVALID_KEY_EXCEPTION = "InvalidKeyException : ";
    public static final String ILEGAL_BLOCK_SIZE_EXCEPTION = "IllegalBlockSizeException : ";
    public static final String BAD_PADDING_EXCEPTION = "BadPaddingException : ";

}
